AntiFeatures:
  - UpstreamNonFree
Categories:
  - Connectivity
  - Internet
License: GPL-3.0-or-later
AuthorName: shadowsocks
AuthorWebSite: https://shadowsocks.org
SourceCode: https://github.com/shadowsocks/shadowsocks-android
IssueTracker: https://github.com/shadowsocks/shadowsocks-android/issues
Translation: https://poeditor.com/join/project/u5VHO9vhSf
Changelog: https://github.com/shadowsocks/shadowsocks-android/releases

AutoName: Shadowsocks
Description: |-
    A shadowsocks client for Android TV. Shadowsocks is a fast tunnel proxy that
    helps you bypass firewalls.

RepoType: git
Repo: https://github.com/shadowsocks/shadowsocks-android.git

Builds:
  - versionName: 5.2.6-nightly
    versionCode: 5020650
    commit: 1c73e48cc6e590aa628179ab6687558c901693a5
    subdir: tv
    submodules: true
    sudo:
      - apt-get update
      - apt-get install openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - freedom
    srclibs:
      - rustup@1.24.3
    rm:
      - core/src/main/jni/badvpn/lwip/test/fuzz/inputs
      - core/src/main/jni/badvpn/lime
      - mobile
    prebuild:
      - echo "rust.rustcCommand=$HOME/.cargo/bin/rustc" >> ../local.properties
      - echo "rust.cargoCommand=$HOME/.cargo/bin/cargo" >> ../local.properties
      - echo "rust.pythonCommand=/usr/bin/python3" >> ../local.properties
      - sed -i -e '/gms/d' -e '/firebase/d' ../build.gradle.kts build.gradle.kts
      - sed -i -e '/gms/d' -e '/firebase/d' -e '/kotlinx-coroutines-play-services/d'
        ../core/build.gradle.kts
      - pushd ../core/src/main
      - sed -i -E -e '/service_subscription_working/s/%d(.*)%d/%1$d\1%2$d/' res/*/strings.xml
      - cd java/com/github/shadowsocks
      - sed -i -e '/firebase/Id' Core.kt bg/BaseService.kt
      - popd
      - sed -i -e '/OssLicensesMenuActivity/d' src/main/java/com/github/shadowsocks/tv/MainPreferenceFragment.kt
      - sed -i -z -E -e 's/<Preference[^<]+ossLicenses[^>]+>//' src/main/res/xml/pref_main.xml
      - sed -i -e '/isEnable/s/true/false/' ../buildSrc/src/main/kotlin/Helpers.kt
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup default 1.60.0
      - cd ../core/src/main/rust/shadowsocks-rust
      - rustup target add armv7-linux-androideabi aarch64-linux-android i686-linux-android
        x86_64-linux-android
    ndk: r21e

  - versionName: 5.3.0-nightly
    versionCode: 5030050
    commit: 09c2290c1ba07336b11a6b7576886d202e14ac71
    subdir: tv
    submodules: true
    sudo:
      - apt-get update
      - apt-get install openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - freedom
    srclibs:
      - rustup@1.24.3
    rm:
      - core/src/main/jni/badvpn/lwip/test/fuzz/inputs
      - core/src/main/jni/badvpn/lime
      - mobile
    prebuild:
      - echo "rust.rustcCommand=$HOME/.cargo/bin/rustc" >> ../local.properties
      - echo "rust.cargoCommand=$HOME/.cargo/bin/cargo" >> ../local.properties
      - echo "rust.pythonCommand=/usr/bin/python3" >> ../local.properties
      - sed -i -e '/gms/d' -e '/firebase/d' ../build.gradle.kts build.gradle.kts
      - sed -i -e '/gms/d' -e '/firebase/d' -e '/kotlinx-coroutines-play-services/d'
        ../core/build.gradle.kts
      - pushd ../core/src/main
      - sed -i -E -e '/service_subscription_working/s/%d(.*)%d/%1$d\1%2$d/' res/*/strings.xml
      - cd java/com/github/shadowsocks
      - sed -i -e '/firebase/Id' Core.kt bg/BaseService.kt
      - popd
      - sed -i -e '/OssLicensesMenuActivity/d' src/main/java/com/github/shadowsocks/tv/MainPreferenceFragment.kt
      - sed -i -z -E -e 's/<Preference[^<]+ossLicenses[^>]+>//' src/main/res/xml/pref_main.xml
      - sed -i -e '/isEnable/s/true/false/' ../buildSrc/src/main/kotlin/Helpers.kt
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup toolchain install nightly-2022-06-21
      - rustup default nightly-2022-06-21
      - cd ../core/src/main/rust/shadowsocks-rust
      - rustup target add armv7-linux-androideabi aarch64-linux-android i686-linux-android
        x86_64-linux-android
    ndk: r21e

  - versionName: 5.3.1-nightly
    versionCode: 5030150
    commit: 9f6b3a41f0174e9df1881c3348d8734936933122
    subdir: tv
    submodules: true
    sudo:
      - apt-get update
      - apt-get install openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - freedom
    srclibs:
      - rustup@1.24.3
    rm:
      - core/src/main/jni/badvpn/lwip/test/fuzz/inputs
      - core/src/main/jni/badvpn/lime
      - mobile
    prebuild:
      - echo "rust.rustcCommand=$HOME/.cargo/bin/rustc" >> ../local.properties
      - echo "rust.cargoCommand=$HOME/.cargo/bin/cargo" >> ../local.properties
      - echo "rust.pythonCommand=/usr/bin/python3" >> ../local.properties
      - sed -i -e '/gms/d' -e '/firebase/d' ../build.gradle.kts build.gradle.kts
      - sed -i -e '/gms/d' -e '/firebase/d' -e '/kotlinx-coroutines-play-services/d'
        ../core/build.gradle.kts
      - pushd ../core/src/main
      - sed -i -E -e '/service_subscription_working/s/%d(.*)%d/%1$d\1%2$d/' res/*/strings.xml
      - cd java/com/github/shadowsocks
      - sed -i -e '/firebase/Id' Core.kt bg/BaseService.kt
      - popd
      - sed -i -e '/OssLicensesMenuActivity/d' src/main/java/com/github/shadowsocks/tv/MainPreferenceFragment.kt
      - sed -i -z -E -e 's/<Preference[^<]+ossLicenses[^>]+>//' src/main/res/xml/pref_main.xml
      - sed -i -e '/isEnable/s/true/false/' ../buildSrc/src/main/kotlin/Helpers.kt
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - rustup toolchain install nightly-2022-06-21
      - rustup default nightly-2022-06-21
      - cd ../core/src/main/rust/shadowsocks-rust
      - rustup target add armv7-linux-androideabi aarch64-linux-android i686-linux-android
        x86_64-linux-android
    ndk: r21e

AutoUpdateMode: Version
UpdateCheckMode: Tags
UpdateCheckData: buildSrc/src/main/kotlin/Helpers.kt|versionCode\s=\s(\d+)|.|versionName\s=\s"(.+)"
CurrentVersion: 5.3.1-nightly
CurrentVersionCode: 5030150
